# Class CJ1CurrencyUnitSerializer

java.lang.Object
com.fasterxml.jackson.databind.JsonSerializer<org.joda.money.CurrencyUnit>
com.io7m.cardant.protocol.inventory.json.internal.CJ1CurrencyUnitSerializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`

public final class CJ1CurrencyUnitSerializer extends com.fasterxml.jackson.databind.JsonSerializer<org.joda.money.CurrencyUnit>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

  `com.fasterxml.jackson.databind.JsonSerializer.None`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1CurrencyUnitSerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<org.joda.money.CurrencyUnit>`
  `handledType()`
  `void`
  `serialize(org.joda.money.CurrencyUnit value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider serializers)`

  ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

  `acceptJsonFormatVisitor, getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId, withIgnoredProperties`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CJ1CurrencyUnitSerializer

    public CJ1CurrencyUnitSerializer()

- ## Method Details

  - ### handledType

    public Class<org.joda.money.CurrencyUnit> handledType()
    Overrides:
      `handledType` in class `com.fasterxml.jackson.databind.JsonSerializer<org.joda.money.CurrencyUnit>`

  - ### serialize

    public void serialize(org.joda.money.CurrencyUnit value, com.fasterxml.jackson.core.JsonGenerator gen, com.fasterxml.jackson.databind.SerializerProvider serializers) throws IOException
    Specified by:
      `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<org.joda.money.CurrencyUnit>`
    Throws:
      `IOException`